Subject: Crashing pine pasting in To field..

From: Matt Ackeret <[email-masked]>
Date: Fri, 3 Jan 2003 12:12:53 -0800 (PST)

This is on 4.33 here on my personal acct (they use qmail or something else
that's "hard" to update pine for as far as I remember)..

I have one (spam, of course) message that I seem to be able to consistently
crash trying to paste addresses in the To field..  I'm also resizing the
(GUI) window and switching between screen sessions, so I haven't narrowed
it down yet.. though it looks pretty easy to repro.

Anyhow.. I'm not getting any symbols from gdb..  What am I doing wrong?

I can nm the pine binary, and I'm seeing symbol names there..

Program received signal SIGWINCH, Window size changed.
0xef5b7408 in poll ()
(gdb) c
Continuing.

Program received signal SIGSEGV, Segmentation fault.
0xef5a4704 in strlen ()
(gdb) bt
#0  0xef5a4704 in strlen ()
#1  0x14c7b8 in ?? ()
#2  0x147424 in ?? ()
#3  0x152f6c in ?? ()
#4  0x16a5c0 in ?? ()
#5  0x114438 in ?? ()
#6  0x101b6c in ?? ()
#7  0xa1b30 in ?? ()
#8  0x9e624 in ?? ()
#9  0xcf8b8 in ?? ()
#10 0xc3d60 in ?? ()
#11 0xfbe88 in ?? ()

Also, is there some way in gdb that I can get it to ignore the SIGWINCH
signals (i.e. not stop in gdb when that happens).

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------